Bug 757105

Summary: no font(:lang=blahblah) generated for Provides
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: rpmAssignee: Fedora Packaging Toolset Team <packaging-team>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: ffesti, fonts-bugs, i18n-bugs, jzeleny, pknirsch, pmatilai
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rpm-4.9.1.2-5.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 08:39:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Akira TAGOH 2011-11-25 08:45:01 EST
Description of problem:
There seems some packages facing this issue. I'm not yet checking everything but at least no font(:lang=blahblah) in wqy-zenhei-fonts, cjkuni-uming-fonts and cjkuni-ukai-fonts. I guess there was nothing wrong in the package side because it seems happened on wqy-zenhei-fonts since http://koji.fedoraproject.org/koji/buildinfo?buildID=218470 which was just a mass-rebuild.
When invoking fontconfig.prov directly, simply works. so dunno something broken in rpm or buildroot?
Though the font packages built very recently has one; http://koji.fedoraproject.org/koji/buildinfo?buildID=275177 but even just rebuilding the package didn't help; http://koji.fedoraproject.org/koji/taskinfo?taskID=3540632. so it's still broken anyway.

Version-Release number of selected component (if applicable):
rpm-build-4.9.1.2-4.fc17

How reproducible:
always

Steps to Reproduce:
1.build wqy-zenhei-fonts
2.see the result of rpm -qf --provides
3.
  
Actual results:
no font(:lang=...) provided

Expected results:
certain font(:lang=...) should be provided.

Additional info:
Comment 1 Akira TAGOH 2011-11-25 08:48:53 EST
missed one pointer; http://koji.fedoraproject.org/koji/buildinfo?buildID=213066

This release of the font package has, and it has been gone in next build as I mentioned the above.
Comment 2 Panu Matilainen 2011-11-25 09:03:14 EST
This is due to a libmagic string change - either the string it produces for fonts has simply changed (wouldn't be the first time) or its identifying some new "subtype" of fonts.

Will fix...
Comment 3 Panu Matilainen 2011-11-25 09:21:49 EST
Okay, should be fixed in rpm-4.9.1.2-5.fc17.

FWIW this affects F16 too, so an update is needed there as well (already planned for next week)
Comment 4 Nicolas Mailhot 2011-11-25 09:40:33 EST
BTW if someone has a little time, now that rpm supports external dependency generators, this stuff could probably be moved in fontpackages completely (in theory, I haven't lokked at it deeply yet). That would avoid updating rpm every time we want font dependency changes.
Comment 5 Akira TAGOH 2011-11-27 20:38:15 EST
Cool. thanks for quick update. we need to pick up what font packages affects this and need to rebuild then...

nim-nim:
I agree since the font packages basically has BR to fontpackages. is there any case the external packages has dependency generator?
Comment 6 Akira TAGOH 2011-11-27 21:23:43 EST
BTW does this affect f15 too maybe? I can see no fonts() provides similarly on f15 though.
Comment 7 Nicolas Mailhot 2011-11-28 02:44:33 EST
(In reply to comment #5)

> nim-nim:
> I agree since the font packages basically has BR to fontpackages. is there any
> case the external packages has dependency generator?

I'm not sure I understand the question but if you ask if others have made use of the external dep engine in new rpm that is a definite yes. I haven't kept any pointers though :(
Comment 8 Akira TAGOH 2011-12-09 03:22:24 EST
Any chance to fix this issue for f15 and f16?
Comment 9 Akira TAGOH 2012-01-30 23:51:28 EST
Ping?
Comment 10 Akira TAGOH 2012-01-30 23:54:58 EST
FWIW the fix of this issue can see on the package in question:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=2851886

So we can backport the fix to f15 and f16 I think.
Comment 11 Fedora Update System 2012-02-09 03:54:28 EST
rpm-4.9.1.2-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpm-4.9.1.2-5.fc16
Comment 12 Fedora Update System 2012-02-09 03:57:18 EST
rpm-4.9.1.2-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpm-4.9.1.2-4.fc15
Comment 13 Fedora Update System 2012-02-09 19:56:09 EST
Package rpm-4.9.1.2-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.9.1.2-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1504/rpm-4.9.1.2-5.fc16
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-02-11 16:55:11 EST
rpm-4.9.1.2-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-02-11 17:04:00 EST
rpm-4.9.1.2-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Akira TAGOH 2012-02-14 03:38:33 EST
Sorry for reopen and not reporting this earlier, but it's strange there are still packages not containing fonts(:lang=blahblahblah) things in rawhide at least since we've mass-rebuilt.

Here is the package list we are still facing and the details for the file magic:

baekmuk-bdf-fonts-0:2.2-11.fc17.noarch:
iso8859-2-100dpi-fonts-0:1.0-26.fc17.noarch
iso8859-2-75dpi-fonts-0:1.0-26.fc17.noarch
iso8859-2-misc-fonts-0:1.0-26.fc17.noarch
jisksp16-1990-fonts-0:0.983-7.fc17.noarch
  X11 Portable Compiled Font data (gzip compressed data, ...

ctan-cm-lgc-roman-fonts-0:0.5-19.fc17.noarch
ctan-cm-lgc-sans-fonts-0:0.5-19.fc17.noarch
ctan-cm-lgc-typewriter-fonts-0:0.5-19.fc17.noarch
ctan-kerkis-calligraphic-fonts-0:2.0-25.fc17.noarch
ctan-kerkis-sans-fonts-0:2.0-25.fc17.noarch
ctan-kerkis-serif-fonts-0:2.0-25.fc17.noarch
ctan-musixtex-fonts-0:1.13-5.fc17.noarch
texmacs-fedora-fonts-0:1.0.7.11-2.fc17.noarch
urw-fonts-0:2.4-11.fc17.noarch
  PostScript Type 1 font program data

ghostscript-fonts-0:5.50-28.fc17.noarch
  PostScript Type 1 font program data
  PostScript Type 1 font text
  
libdockapp-fonts-0:0.6.2-5.fc17.x86_64
  X11 Portable Compiled Font data, LSB first (gzip compressed data, ...

ucs-miscfixed-fonts-0:0.3-8.fc18.noarch
  X11 BDF font, ASCII text
Comment 17 Panu Matilainen 2012-02-14 03:46:55 EST
Recent libmagic update changed a number of strings, affecting python, perl and whatnot. Might have to do with that... I'll have a look when I get a chance.
Comment 18 Nicolas Mailhot 2012-02-14 05:30:56 EST
and btw do those fonts actually contain enough glyphs to satisfy at least one lang in fontconfig?

They're all old and crufty, and unicode changed a lot since
Comment 19 Akira TAGOH 2012-02-14 23:44:33 EST
(In reply to comment #18)
> and btw do those fonts actually contain enough glyphs to satisfy at least one
> lang in fontconfig?
> 
> They're all old and crufty, and unicode changed a lot since

That's a separate issue. I dropped such packages from the list and basically they have fonts(...) at least but those doesn't.
Comment 20 Fedora Admin XMLRPC Client 2012-04-13 19:11:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2012-04-13 19:13:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Akira TAGOH 2012-04-18 01:38:21 EDT
Any chance to update for this?
Comment 23 Panu Matilainen 2012-05-07 08:57:44 EDT
There are at least two different issues remaining: the libmagic regex is still slightly wrong for some of the cases (eg urw-fonts) and in others (eg baekmuk-bdf-fonts) rpm considers the files as fonts but fontconfig doesn't understand them: it doesn't like the compression, and it doesn't grok the files even if uncompressed.
Comment 24 Akira TAGOH 2012-05-07 22:51:54 EDT
I'm willing to fix fontconfig if any. let me have a look.
Comment 25 Akira TAGOH 2012-05-07 22:57:29 EDT
Ah, well, this is a known issue.. see Bug#529818. it's not actually relevant to the compression. I have no idea to fix it so far.
Comment 26 Fedora End Of Life 2013-04-03 15:37:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 27 Jan Zeleny 2014-06-10 02:37:42 EDT
Clearing needinfo as per comments 23 and 25
Comment 28 Fedora End Of Life 2015-01-09 16:54:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 29 Fedora End Of Life 2015-02-18 08:39:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.